input_register_handle
Prev | Chapter 28. Input Subsystem | Next

## Name

input_register_handle — register a new input handle

## Synopsis

`int input_register_handle (` | struct input_handle * | handle`)`;

## Arguments

`handle`

  handle to register

## Description

This function puts a new input handle onto device's and handler's lists so that events can flow through it once it is opened using `input_open_device`.

This function is supposed to be called from handler's `connect` method.

Prev | Up | Next
input_unregister_handler | Home | input_unregister_handle